/**
 * 新增场地属性
 */
$(document).ready(function(){
	var propertyId = $("#propertyId").val();
	//初始化
	if(propertyId){
		$.ajax({
			type : 'POST',
			url : '../site/findSiteProperty',
			data:{"propertyId":propertyId},
			dataType : 'json',// 返回值类型 一般设置为json
			success : function(data) // 服务器成功响应处理函数
			{
				$("#propertyName").val(data.mapSite.propertyName);
				$("#siteType").val(data.mapSite.siteType);
				$("#boxType").val(data.mapSite.boxType);
				$("#property").val(data.mapSite.detailsName);
			}
		});
	}
	//新增场地属性
	$("#addSiteProperty").click(function(){
		var propertyId = $("#propertyId").val();
		var propertyName = $("#propertyName").val();
		var siteType = $("#siteType").val();
		var boxType = $("#boxType").val();
		var property = $("#property").val();
		if(propertyName == null || propertyName == ""){
			alert("请填写属性名称！");
			return;
		}
		if(siteType == null || siteType == ""){
			alert("请选择属性类型！");
			return;
		}
		if(boxType == null || boxType == ""){
			alert("请选择文本框类型！");
			return;
		}
		if(property == null || property == ""){
			alert("请填写属性详情！");
			return;
		}
		
		$.ajax({
			type : 'POST',
			url : '../site/addSiteProperty',
			data:{"propertyId":propertyId,"propertyName":propertyName,"siteType":siteType,"boxType":boxType,"property":property},
			dataType : 'json',// 返回值类型 一般设置为json
			success : function(data) // 服务器成功响应处理函数
			{
				if(data.code == '0'){
					alert(data.msg);
					window.location.href="../site/findSiteResourceList";
				}else{
					alert(data.msg);
				}
			}
		});
	})
	
	//取消返回
	$("#back").click(function(){
		window.location.href="../site/findSiteResourceList";
	})
    
})


